package J20250721;

/**
 * @author WanJl
 * @version 1.0
 * @title FlyableDemo
 * @description
 * @create 2025/7/21
 */
public class FlyableDemo {
    public static void useFlyable(Flyable f){
        f.fly("随便写");
    }

    public static void main(String[] args) {
        useFlyable((String s)->{
            System.out.println(s+"飞......");
        });
        //省略参数类型：
        useFlyable(s->{
            System.out.println(s+"飞......");
        });
    }
}
